require 'lib/rosp_http'
class Session
  include Rhom::FixedSchema
  
  property :login,         :string
  property :password,      :string
  property :login_cookie,  :string
  
  set :schema_version, "0.1"
  
  # Uncomment the following line to enable sync with Session.
  # enable :sync

  #add model specifc code here
  
  def self.login_cookie
    if session = Session.find(:first)
      return session.login_cookie
    else
      return nil
    end
  end
  
  def self.logged_in?(controller)
    if Session.login_cookie
      http = RospHttp.connect(
        :method => "get",
        :controller => controller,
        :url => "#{Component.server_address}/session/login_check.json",
        :back_url => Rho::RhoConfig.start_path
      )
      if http["status"] != "error"
        return http["body"] == "OK"
      end
    end
    return false
  end
end
