require 'rho/rhocontroller'
require 'helpers/browser_helper'
require 'lib/authenticated'
require 'lib/rosp_http'

class SessionController < Rho::RhoController
  include BrowserHelper
  include Authenticated
  include RospHttp::Callback
  
  # GET /Session/new
  def new
    if System.get_property("has_network")
      render :action => :new, :back => Rho::RhoConfig.start_path
    else
       Alert.show_popup("ネットワークに接続してください。")
       redirect Rho::RhoConfig.start_path
    end
  end

  # POST /Session/create
  def create
    if System.get_property("has_network")
      http = RospHttp.connect(
        :controller => self,
        :method => "post",
        :url => "#{Component.server_address}/session.json",
        :body => "login=#{@params["login"]}&password=#{@params["password"]}&remember_me=1"
      )
      if http && http["body"] == "OK"
        attr = {
          :login => @params["login"],
          :password => @params["password"],
          :login_cookie => http["cookies"]
        }
        if session = Session.find(:first)
          session.update_attributes(attr)
        else
          Session.create(attr)
        end

        Alert.show_popup("認証に成功しました。")
        redirect Rho::RhoConfig.start_path
      else
        Alert.show_popup("認証に失敗しました。")
        redirect :action => :new
      end
    else
      Alert.show_popup("ネットワークに接続してください。")
      redirect Rho::RhoConfig.start_path
      return false
    end
  end
  
  def logout
    if session = Session.find(:first)
      session.destroy
    end
    Alert.show_popup("ログアウトしました。")
    redirect Rho::RhoConfig.start_path
  end

  
end
