module BrowserHelper

  def placeholder(label=nil)
    "placeholder='#{label}'" if platform == 'apple'
  end

  def platform
    System::get_property('platform').downcase
  end

  def selected(option_value,object_value)
    "selected=\"yes\"" if option_value == object_value
  end

  def checked(option_value,object_value)
    "checked=\"yes\"" if option_value == object_value
  end

  def is_bb6
    platform == 'blackberry' && (System::get_property('os_version').split('.')[0].to_i >= 6)
  end
  
  def hbr(str)
    h(str).gsub(/\r\n|\r|\n/, "<br />")
  end
  
  HTML_ESCAPE = { '&' => '&amp;',  '>' => '&gt;',   '<' => '&lt;', '"' => '&quot;' }
  # A utility method for escaping HTML tag characters.
  # This method is also aliased as <tt>h</tt>.
  #
  # In your ERB templates, use this method to escape any unsafe content. For example:
  #   <%=h @person.name %>
  #
  # ==== Example:
  #   puts html_escape("is a > 0 & a < 10?")
  #   # => is a &gt; 0 &amp; a &lt; 10?
  def html_escape(s)
    s = s.to_s
    s.gsub(/[&"><]/) { |special| HTML_ESCAPE[special] }
  end
  alias :h html_escape
  
  
end