module Authenticated
  
  def login_required(redirect = true)
    if System.get_property("has_network")
      if session = Session.find(:first)
        data = Rho::AsyncHttp.post(
          :headers => {"Cookie" => session.login_cookie},
          :url => "#{Component.server_address}/session/login_check.json"
        )
        if data && data["body"]["return_code"] && !data["body"]["exception"]
          return true#認証成功したときここで返る
        end
      end
      if redirect
        redirect_login
      else
        return false
      end
    else
      Alert.show_popup("ネットワークに接続してください。")
      redirect Rho::RhoConfig.start_path
      return false
    end
  end

  def redirect_login
    redirect url_for(:controller => :Session, :action => :new)
  end
  
  def login_cookie
    Session.login_cookie
  end
end